## ros-melodic-leo-bringup 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_bringup)

find_package(catkin)

catkin_package()

install(
  DIRECTORY
    camera_info
    config
    launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(
  PROGRAMS scripts/leo_system
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-leo-bringup (1.1.2-1stretch) stretch; urgency=high

  * Add rosapi node

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 24 Nov 2020 23:00:00 -0000

ros-melodic-leo-bringup (1.1.1-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Sun, 18 Oct 2020 22:00:00 -0000

ros-melodic-leo-bringup (1.1.0-1stretch) stretch; urgency=high

  * Update package description
  * Increase cmake minimum version
  * Change CMakeLists formatting
  * Add xacro to dependencies, remove raspicam_node from dependencies

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 15 Oct 2020 22:00:00 -0000

ros-melodic-leo-bringup (1.0.2-1stretch) stretch; urgency=high

  * Changed camera frame name to camera_optical_frame

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-leo-bringup (1.0.1-1stretch) stretch; urgency=high

  * used relative topic names in leo_system node

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 21 Apr 2020 22:00:00 -0000

ros-melodic-leo-bringup (1.0.0-1stretch) stretch; urgency=high

  * fixed leo_system shutdown command
  * added configuration files for camera and core2 firmware
  * added motors_model argument to the launch file

 -- Błażej Sowa <blazej@turtlerover.com>  Mon, 23 Mar 2020 23:00:00 -0000

ros-melodic-leo-bringup (0.6.0-1stretch) stretch; urgency=high

  * changed camera frame id to camera_frame
  * added upload_description argument to leo_bringup.launch file

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 11 Feb 2020 23:00:00 -0000

ros-melodic-leo-bringup (0.5.0-1stretch) stretch; urgency=high

  * change camera frame_id
  * add robot state publisher, change rosserial baudrate, add camera calibration file

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 01 Oct 2019 22:00:00 -0000

ros-melodic-leo-bringup (0.4.0-1stretch) stretch; urgency=high

  * don't use husarion cloud

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 03 Sep 2019 22:00:00 -0000

ros-melodic-leo-bringup (0.3.0-1stretch) stretch; urgency=high

  * set unregister timeout in rosbridge_server

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 10 Jul 2019 22:00:00 -0000

ros-melodic-leo-bringup (0.2.0-1stretch) stretch; urgency=high

  * remap topics, change stream quality

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 09 Jul 2019 22:00:00 -0000

ros-melodic-leo-bringup (0.1.0-1stretch) stretch; urgency=high

  * add LICENSE
  * add leo_system script
  * add install targets to CMakeLists
  * add raspicam_node
  * package cleanup
  * Initial commit

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 05 Jun 2019 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-bringup
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/leo_bringup
Standards-Version: 3.9.2

Package: ros-melodic-leo-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-leo-description, ros-melodic-robot-state-publisher, ros-melodic-rosbridge-server, ros-melodic-rosserial-python, ros-melodic-sensor-msgs, ros-melodic-web-video-server, ros-melodic-xacro
Description: Scripts and launch files for starting basic Leo Rover functionalities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-bringup//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-leo-bringup 1.2.1

=== debian/changelog ===
ros-melodic-leo-bringup (1.2.1-1bionic) bionic; urgency=high

  * Reformat python code with black

 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Sep 2021 00:00:00 -0000

ros-melodic-leo-bringup (1.2.0-1bionic) bionic; urgency=high

  * Core2 parameters: change input_timeout to float, add robot and odom frame_id parameters
  * Delete launch prefix from serial_node
  * Avoid deprecation warnings from xacro and robot_state_publisher
  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 23 Apr 2021 00:00:00 -0000

ros-melodic-leo-bringup (1.1.3-1bionic) bionic; urgency=high

  * Add tf_frame_prefix argument to the launch file

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.1.2-1bionic) bionic; urgency=high

  * Add rosapi node

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 25 Nov 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.1.1-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Mon, 19 Oct 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.1.0-1bionic) bionic; urgency=high

  * Update package description
  * Increase cmake minimum version
  * Change CMakeLists formatting
  * Add xacro to dependencies, remove raspicam_node from dependencies

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 16 Oct 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.0.2-1bionic) bionic; urgency=high

  * Changed camera frame name to camera_optical_frame

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 23 Sep 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.0.1-1bionic) bionic; urgency=high

  * used relative topic names in leo_system node

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 22 Apr 2020 00:00:00 -0000

ros-melodic-leo-bringup (1.0.0-1bionic) bionic; urgency=high

  * fixed leo_system shutdown command
  * added configuration files for camera and core2 firmware
  * added motors_model argument to the launch file

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 24 Mar 2020 00:00:00 -0000

ros-melodic-leo-bringup (0.6.0-1bionic) bionic; urgency=high

  * changed camera frame id to camera_frame
  * added upload_description argument to leo_bringup.launch file

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 12 Feb 2020 00:00:00 -0000

ros-melodic-leo-bringup (0.5.0-1bionic) bionic; urgency=high

  * change camera frame_id
  * add robot state publisher, change rosserial baudrate, add camera calibration file

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 02 Oct 2019 00:00:00 -0000

ros-melodic-leo-bringup (0.4.0-1bionic) bionic; urgency=high

  * don't use husarion cloud

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 04 Sep 2019 00:00:00 -0000

ros-melodic-leo-bringup (0.3.0-1bionic) bionic; urgency=high

  * set unregister timeout in rosbridge_server

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 11 Jul 2019 00:00:00 -0000

ros-melodic-leo-bringup (0.2.0-1bionic) bionic; urgency=high

  * remap topics, change stream quality

 -- Błażej Sowa <blazej@turtlerover.com>  Wed, 10 Jul 2019 00:00:00 -0000

ros-melodic-leo-bringup (0.1.0-1bionic) bionic; urgency=high

  * add LICENSE
  * add leo_system script
  * add install targets to CMakeLists
  * add raspicam_node
  * package cleanup
  * Initial commit

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 06 Jun 2019 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-leo-bringup
 Section: misc
 Priority: optional
-Maintainer: Błażej Sowa <blazej@turtlerover.com>
+Maintainer: Fictionlab <support@fictionlab.pl>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://wiki.ros.org/leo_bringup
 Standards-Version: 3.9.2
